#include <stdio.h>

#include "common.h"
#include "finite.h"

int
main(int argc, char *argv[])
{
	mesh_init(SP_DUPLEX);

	genm_linear("d=2 [0.0:2.0]x[0.0:2.0]",
		"d=2 [50:100] [1.0:1.0]");

	meshes->m_kmatrix = create_kmatrix();
	meshes->m_bvector = create_bvector();

	dp_putmesh("dp.grids");
	problem();
	printf("End of processing\n");
	return 0;
}
