#include <stdio.h>
#include "common.h"
#include "matrix.h"
#include "updown.h"

struct matrix_t *
m_getupper(const struct matrix_t *am)
{
	char	name[256];
	struct matrix_t *retm;
	float	**ret, **amm;
	int	i, j;

	sprintf(name, "upper part of %s", am->mt_name);
	retm = matrix(am->mt_col, am->mt_col, NULL, SP_SINGLE);
	ret = smat(retm);
	amm  = smat(am);

	for (i=0; i <am->mt_col;i++)
		for (j=i;j<am->mt_col;j++)
			ret[i][j] = amm[i][j];

	return retm;
}

struct matrix_t *
m_getlower(const struct matrix_t *am)
{
	char	name[256];
	struct matrix_t *retm;
	float	**ret, **amm;
	int	i, j;

	sprintf(name, "lower part of %s", am->mt_name);
	retm = matrix(am->mt_col, am->mt_col, NULL, SP_SINGLE);
	ret = smat(retm);
	amm  = smat(am);

	for (i=0; i <am->mt_col;i++) {
		for (j=0;j<i;j++)
			ret[i][j] = amm[i][j];
		ret[i][i] = 1.0;
	}

	return retm;
}
