#include <stdio.h>
#include "common.h"
#include "sparse.h"
#include "finite.h"

/*
 * Just to see the pattern of the Kmatrix, and that of its square
 */

int
main()
{
	struct sparse_t *sp, *spb;

	mesh_init(SP_SINGLE);
	genm_linear("d=2 [0.0:1.0]x[0.0:1.0]", "d=2 [4:4] [1.0:1.0]");

	meshes->m_kmatrix = create_kmatrix();

	sp = meshes->m_kmatrix;
	spb = sp_crosssp(sp, sp);
	sp_pattern(sp);
	sp_pattern(spb);

	return 0;
}
