#include <stdio.h>

#include "common.h"
#include "finite.h"


int
main(void)
{
	/*
	 * Setup mesh global structure
	 */
	mesh_init(SP_DUPLEX);

	genm_linear("d=2 [0.0:1.0]x[0.0:1.0]",
		"d=2 [100:100] [1.0:1.0]");

	meshes->m_kmatrix = create_kmatrix();
	meshes->m_bvector = create_bvector();

	problem();
	(void) printf("End of processing\n");
	return 0;
}
