#include <stdio.h>
#include "common.h"
#include "finite.h"

int
main(int argc, char **argv)
{
	mesh_init(SP_DUPLEX);

	dp_getmesh("new.grid");
	/*
	 * You cannot call create_kmatrix() before providing nodes and elements
	 * information. Therefore, you can call create_kmatrix() after calling
	 * getinput() or gettri() because create_kmatrix() needs information
	 * about nodes and elements.
	 */
	meshes->m_kmatrix = create_kmatrix();
	meshes->m_bvector = create_bvector();

#if 0
	dp_putmesh("returned.grids");
#endif

	problem();
	(void) printf("End of processing\n");
	return 0;
}
