#include <stdio.h>

#include "common.h"
#include "finite.h"

int
main(void)
{
	mesh_init(SP_DUPLEX);

#if 0
	dp_getmesh("new.grid");
#else
	genm_linear("d=2 [-1.0:1.0]x[0.0:1.5]",
		"d=2 [50:150] [1.0:1.0]");
	/*
	 * You cannot call create_kmatrix() before providing nodes and elements
	 * information. Therefore, you can call create_kmatrix() after calling
	 * getinput() or gettri() because create_kmatrix() needs information
	 * about nodes and elements.
	 */
#endif
	mk_nearements();
	problem();
	(void) printf("End of processing\n");
	return 0;
}
