void
debugging(void)
{
	FILE	*fp;
	int	i, j;
	struct proto_t *proto;
	struct vector_t *xvec, *yvec;
	double	x, y, *dpx, *dpy;
	double	**intmat;

	fp = fopen("de0", "w");
	for (i=0;i<meshes->m_ementsno;i++) {
		proto = meshes->m_ements[i]->e_proto;
		proto_einit(i);
		intmat = dmat(proto->p_intg->intg_realintgcoors);
		for (j=0; j< proto->p_intgno; j++) {
			fprintf(fp, "%10.5e %10.5e\n",
				intmat[j][0], intmat[j][1]);
		}
	}
	fclose(fp);

	xvec = vector(meshes->m_nodesno, NULL, SP_DOUBLE);
	yvec = vector(meshes->m_nodesno, NULL, SP_DOUBLE);
	dpx = dvec(xvec);
	dpy = dvec(yvec);

	for (i=0;i<meshes->m_nodesno;i++) {
		dpx[i] = meshes->m_nodes[i]->n_coor[0];
		dpy[i] = meshes->m_nodes[i]->n_coor[1];
	}

	fp = fopen("de1", "w");
	for (i=0;i<meshes->m_ementsno;i++) {
		proto = meshes->m_ements[i]->e_proto;
		for (j=0; j< proto->p_intgno; j++) {
			x = dgetat(i, j, xvec);
			y = dgetat(i, j, yvec);
			fprintf(fp, "%10.5e %10.5e\n", x, y);
		}
	}
	fclose(fp);
	vec_mfree(2, xvec, yvec);
	return;
}
