#include <stdio.h>
#include "common.h"
#include "vector.h"

int
main(void)
{
	struct vector_t *a, *b, *c;
	double	*dp;
	int	i;

	a = vector(6, NULL, SP_DOUBLE);

	dp = dvec(a);
	for (i=0; i< a->vt_size; i++)
		dp[i] = (double) i*i;

	b = vec_puredup(a);
	c = vec_puredup(a);
	vec_copy(b, a);
	vec_print(a);
	vec_pairprint(a, b);
	vec_plus(c, a, b);
	vec_print(c);
	return 0;
}
