#include <stdio.h>
#include "common.h"
#include "finite.h"

void	usage(void);

int
main(int argc, char **argv)
{
	char	fname[256], cmd[256];
	int	needno;

	needno = 0;
	if (argc == 1 || argc > 3)
		usage();
	if (argc == 3) {
		if (strcmp(argv[1], "-n"))
			usage();
		else {
			argc--;
			argv++;
		}
		needno++;
	}

	mesh_init(SP_SINGLE);

	tri_getmesh(argv[1]);
	sprintf(fname, "%s.mtv", argv[1]);
	put_2dgrids(fname, needno);
	sprintf(cmd, "plotmtv %s &", fname);
	system(cmd);
	return 0;
}

void
usage(void)
{
	char *list[]={"This is an executable which enables me to view the grid",
		"and ele files that were created by the triangle packages",
		NULL};
	char **p;

	p = list;
	while (*p)
		printf("%s\n", *p++);

	printf("usage: a.out [-n] base.of.the.files\n");
	exit(1);
}
